Bug 1274351 - CVE-2015-7692 CVE-2015-7871 CVE-2015-7852 CVE-2015-7701 CVE-2015-7702 CVE-2015-7691 ntp: various flaws [fedora-all]
Summary: CVE-2015-7692 CVE-2015-7871 CVE-2015-7852 CVE-2015-7701 CVE-2015-7702 CVE-201...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ntp
Version: 22
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2015-7691, CVE-2015-7692, CVE-2015-7702 CVE-2015-7701 CVE-2015-7852 CVE-2015-7871
TreeView+ depends on / blocked
 
Reported: 2015-10-22 14:33 UTC by Martin Prpič
Modified: 2016-02-21 02:25 UTC (History)
2 users (show)

Fixed In Version: ntp-4.2.6p5-34.fc23 ntp-4.2.6p5-34.fc21 ntp-4.2.6p5-36.fc22
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-21 02:25:41 UTC


Attachments (Terms of Use)

Description Martin Prpič 2015-10-22 14:33:50 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Martin Prpič 2015-10-22 14:33:54 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1274265,1274351

# Description of your update
notes=Security fix for CVE-2015-7871

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1274265,1274351

Comment 2 Martin Prpič 2015-10-22 14:34:12 UTC
Adding parent bug 1274261 (for CVE-2015-7852).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1274351,1274261,1274265

# Description of your update
notes=Security fix for CVE-2015-7871, CVE-2015-7852

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1274351,1274261,1274265

Comment 3 Martin Prpič 2015-10-22 14:34:30 UTC
Adding parent bug 1274254 (for CVE-2015-7691).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1274351,1274254,1274261,1274265

# Description of your update
notes=Security fix for CVE-2015-7871, CVE-2015-7852, CVE-2015-7691, CVE-2015-7692, CVE-2015-7702

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1274351,1274254,1274261,1274265

Comment 4 Martin Prpič 2015-10-22 14:34:45 UTC
Adding parent bug 1274254 (for CVE-2015-7691).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1274351,1274254,1274261,1274265

# Description of your update
notes=Security fix for CVE-2015-7692, CVE-2015-7871, CVE-2015-7702, CVE-2015-7691, CVE-2015-7852, CVE-2015-7691, CVE-2015-7692, CVE-2015-7702

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1274351,1274254,1274261,1274265

Comment 5 Martin Prpič 2015-10-22 14:34:58 UTC
Adding parent bug 1274254 (for CVE-2015-7691).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1274351,1274254,1274261,1274265

# Description of your update
notes=Security fix for CVE-2015-7692, CVE-2015-7871, CVE-2015-7852, CVE-2015-7691, CVE-2015-7702, CVE-2015-7691, CVE-2015-7692, CVE-2015-7702

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1274351,1274254,1274261,1274265

Comment 6 Martin Prpič 2015-10-22 14:35:17 UTC
Adding parent bug 1274255 (for CVE-2015-7701).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1274351,1274254,1274255,1274261,1274265

# Description of your update
notes=Security fix for CVE-2015-7692, CVE-2015-7871, CVE-2015-7702, CVE-2015-7691, CVE-2015-7852, CVE-2015-7701

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1274351,1274254,1274255,1274261,1274265

Comment 7 Fedora Update System 2015-10-22 16:32:16 UTC
ntp-4.2.6p5-34.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-77bfbc1bcd

Comment 8 Fedora Update System 2015-10-22 16:43:13 UTC
ntp-4.2.6p5-34.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-de44abca87

Comment 9 Fedora Update System 2015-10-22 17:00:53 UTC
ntp-4.2.6p5-34.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-f5f5ec7b6b

Comment 10 Fedora Update System 2015-10-24 12:06:45 UTC
ntp-4.2.6p5-34.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update ntp'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-f5f5ec7b6b

Comment 11 Fedora Update System 2015-10-26 10:26:22 UTC
ntp-4.2.6p5-34.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update ntp'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-77bfbc1bcd

Comment 12 Fedora Update System 2015-10-26 18:28:28 UTC
ntp-4.2.6p5-34.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update ntp'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-de44abca87

Comment 13 Fedora Update System 2015-11-02 18:52:47 UTC
ntp-4.2.6p5-34.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2015-11-04 22:49:24 UTC
ntp-4.2.6p5-34.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-01-21 15:42:46 UTC
ntp-4.2.6p5-36.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-34bc10a2c8

Comment 16 Fedora Update System 2016-01-23 21:28:59 UTC
ntp-4.2.6p5-36.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-34bc10a2c8

Comment 17 Fedora Update System 2016-02-21 02:25:06 UTC
ntp-4.2.6p5-36.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.